Skip to main content
PUT
/
api
/
v2
/
apps
/
{app_id}
/
resource_types
/
{resource_type_id}
/
resources
/
{resource_id}
/
owners
Typescript (SDK)
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";

const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
  security: {
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
    oauth: "<YOUR_OAUTH_HERE>",
  },
});

async function run() {
  const result = await conductoroneSDKTypescript.appResourceOwnersV2.set({
    appId: "<id>",
    resourceTypeId: "<id>",
    resourceId: "<id>",
  });

  console.log(result);
}

run();
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The appId field.

resource_type_id
string
required

The resourceTypeId field.

resource_id
string
required

The resourceId field.

Body

application/json

SetAppResourceOwnersV2Request is the request for setting the owners of an app resource for a given role.

appEntitlementRefs
App Entitlement Ref · object[] | null

The appEntitlementRefs field.

roleSlug
string | null

The roleSlug field.

userRefs
User Ref · object[] | null

The userRefs field.

Response

200 - application/json

SetAppResourceOwnersV2Response is the empty response for setting app resource owners.

SetAppResourceOwnersV2Response is the empty response for setting app resource owners.